@echo off
rem ####################################################
rem # Copyright 2019 OCinside.de - All Rights Reserved #
rem # Written by Jens Pressel                          #
rem ####################################################
cls
echo.
echo Welcome to OCinside.de TDP Set Tool, keep care about good cooling and stable power.
echo With this tool you can overclock the N3450 Apollo Lake or N4100 Gemini Lake.
echo Use at your own risk, we do not assume any liability!
echo.
echo Willkommen bei OCinside.de TDP Set Tool, unbedingt auf eine gute Khlung und stabile Stromversorgung achten.
echo Mit diesem Tool kann man den N3450 Apollo Lake oder N4100 Gemini Lake bertakten.
echo Anwendung auf eigene Gefahr, wir bernehmen keinerlei Gewhr!
echo.
echo [Y]es, I understand! / [J]a, ich habe es verstanden!
echo [N] Oh no! (Quit)
echo.

set /P ask=
if /I "%ask%"=="y" GOTO rwtest
if /I "%ask%"=="j" GOTO rwtest
if /I "%ask%"=="2" GOTO end
GOTO end

:rwtest
if not exist Rw.exe goto norw

echo.
echo TDP Selection / TDP Auswahl
echo [1] 6W TDP
echo [2] 10W TDP
echo [3] 15W TDP
echo [4] Unlimited TDP
echo [5] Oh no! (Quit)
set /P TDP=

if /I "%TDP%"=="1" GOTO one
if /I "%TDP%"=="2" GOTO two
if /I "%TDP%"=="3" GOTO three
if /I "%TDP%"=="4" GOTO four
if /I "%TDP%"=="5" GOTO end
GOTO end

:one
echo 6W TDP
Rw.exe /Min /Nologo /Stdout /Command="WRMSR 0x610 0x0 0x00DD8600 0"
GOTO end
:two
echo 10W TDP
Rw.exe /Min /Nologo /Stdout /Command="WRMSR 0x610 0x0 0x00DD8A00 0"
GOTO end
:three
echo 15W TDP
Rw.exe /Min /Nologo /Stdout /Command="WRMSR 0x610 0x0 0x00DD8F00 0"
GOTO end
:four
echo Unlimited TDP
Rw.exe /Min /Nologo /Stdout /Command="WRMSR 0x610 0x0 0x00000000 0"
GOTO end

:norw
echo.
echo The rweverything installation is not available, please download here: https://rweverything.com/download/
echo.
echo Die rweverything Installation ist nicht vorhanden, bitte erst hier runterladen: https://rweverything.com/download/
echo.
GOTO end

:end
echo.
echo Bye, see you on OCinside.de
echo.
echo Tschss, wir sehen uns auf OCinside.de
echo.
PAUSE